MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023175Community[OCCT] OCCT:Modeling Datapublic2012-05-26 18:112015-03-24 17:08
ReporterRoman Lygin 
Assigned Todbv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023175: Failed to segment a periodic B-Spline when parameter coincides with existing knot
DescriptionBSplCLib::PrepareInsertKnots() returns wrong number of poles for periodic curves when inserted knot coincides with existing one
Steps To Reproducerestore bspline-per-3_draw b
segment b 1 2.5
# can be exception during segment or wrong data if to use 'dump b'
TagsNo tags attached.
Test case numberchl 934 J0
Attached Files? file icon bspline-per-3_draw (102 bytes) 2012-05-26 18:11
? file icon J0 (723 bytes) 2012-05-31 17:17

- Relationships
related to 0025971closedbugmaster Near B-Spline knots get merged after saving/restoring (exporting/importing) 

-  Notes
(0020593)
Roman Lygin (developer)
2012-05-26 18:25

The fix has been pushed into Git
(0020623)
jgv (developer)
2012-05-31 12:43

No remarks
(0020731)
mkv (tester)
2012-06-19 15:04

Dear BugMaster,
The workbenches
KAS:dev:aan-23175-occt (GIT branch CR23175)
KAS:dev:aan-23175-products (GIT master)
were compiled on Linux platform and tested.

Regression:
chl 934 U0

Improvements:
Not detected

Testing case:
chl 934 J0 testing case has been created for issue.
Results of execution is successfully.

See results in /QADisk/occttests/results/KAS/dev/aan-23175-products_31052012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120518-opt_19052012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0020751)
dbv (developer)
2012-06-21 17:32

Fix doesn't cause regression. Branch just contain outdated version of code. Fix has been rebased on current master and pushed to the branch CR23175_1. Please test.
(0020792)
aan (tester)
2012-06-25 19:04

Dear BugMaster,
The workbenches
KAS:dev:aan-23175-occt (GIT branch CR23175_1)
KAS:dev:aan-23175-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
chl 934 U0

Testing case:
Test case for this bug is chl 934 J0.
It is OK in this branch.
It is FAILED in current master (KAS:dev:products-20120615-opt).

See results in /QADisk/occttests/results/KAS/dev/aan-23175-products_22062012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120615-opt_15062012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

- Related Changesets
occt: master 9d091ec1
Timestamp: 2012-06-21 13:17:14
Author: dbv
Details ] Diff ]
0023175: Failed to segment a periodic B-Spline when parameter coincides with existing knot
mod - src/BSplCLib/BSplCLib.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-05-26 18:11 Roman Lygin New Issue
2012-05-26 18:11 Roman Lygin Assigned To => jgv
2012-05-26 18:11 Roman Lygin File Added: bspline-per-3_draw
2012-05-26 18:25 Roman Lygin Note Added: 0020593
2012-05-26 18:25 Roman Lygin Status new => resolved
2012-05-31 12:43 jgv Note Added: 0020623
2012-05-31 12:43 jgv Status resolved => reviewed
2012-05-31 13:09 mkv Assigned To jgv => aan
2012-05-31 17:17 aan Test case number => chl 934 J0
2012-05-31 17:17 aan File Added: J0
2012-06-19 15:04 mkv Note Added: 0020731
2012-06-20 15:00 abv Assigned To aan => dbv
2012-06-20 15:00 abv Status reviewed => assigned
2012-06-21 17:32 dbv Note Added: 0020751
2012-06-21 17:32 dbv Status assigned => resolved
2012-06-21 17:32 dbv Status resolved => reviewed
2012-06-21 17:47 mkv Assigned To dbv => aan
2012-06-25 19:04 aan Note Added: 0020792
2012-06-25 19:05 aan Assigned To aan => bugmaster
2012-06-25 19:05 aan Status reviewed => tested
2012-07-10 14:33 dbv Changeset attached => occt master 9d091ec1
2012-07-10 14:35 dbv Assigned To bugmaster => dbv
2012-07-10 14:35 dbv Status tested => verified
2012-07-10 14:35 dbv Resolution open => fixed
2012-07-10 16:56 bugmaster Target Version => 6.5.4
2012-11-16 13:15 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:16 bugmaster Status verified => closed
2015-03-24 17:08 Roman Lygin Relationship added related to 0025971


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker